Passer au contenu principal
GET
/
automation
/
sequences
/
2026-03
/
enrollments
/
contact
/
{contactId}
Retrieve enrollments
curl --request GET \
  --url https://api.hubapi.com/automation/sequences/2026-03/enrollments/contact/{contactId} \
  --header 'Authorization: Bearer <token>'
{
  "enrolledAt": "2023-11-07T05:31:56Z",
  "enrolledBy": "<string>",
  "enrolledByEmail": "<string>",
  "id": "<string>",
  "sequenceId": "<string>",
  "sequenceName": "<string>",
  "toEmail": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

contactId
string
requis

The unique identifier of the contact whose sequence enrollment details are being retrieved.

Réponse

successful operation

enrolledAt
string<date-time>
requis

The date and time when the contact was enrolled in the sequence.

enrolledBy
string
requis

The identifier of the user who enrolled the contact in the sequence.

enrolledByEmail
string
requis

The email address of the user who enrolled the contact in the sequence.

id
string
requis

The unique identifier for the sequence enrollment.

sequenceId
string
requis

The unique identifier of the sequence in which the contact is enrolled.

sequenceName
string
requis

The name of the sequence in which the contact is enrolled.

toEmail
string
requis

The email address of the contact enrolled in the sequence.

updatedAt
string<date-time>
requis

The date and time when the sequence enrollment was last updated.

Last modified on April 2, 2026